Package com.google.android.exoplayer2.source.hls.playlist

## Interface HlsPlaylistTracker.PrimaryPlaylistListener

- All Known Implementing Classes:
    `HlsMediaSource`
  Enclosing interface:
    HlsPlaylistTracker

      public static interface HlsPlaylistTracker.PrimaryPlaylistListener

  Listener for primary playlist changes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPrimaryPlaylistRefreshed​(HlsMediaPlaylist mediaPlaylist)` | Called when the primary playlist changes.

- - ### Method Detail

    - #### onPrimaryPlaylistRefreshed

          void onPrimaryPlaylistRefreshed​(HlsMediaPlaylist mediaPlaylist)

      Called when the primary playlist changes.
      Parameters:
        `mediaPlaylist` - The primary playlist new snapshot.